library barcode;
import 'package:flutter/services.dart';
import 'package:flutter_barcode_scanner/flutter_barcode_scanner.dart';
enum ScanType{ barcode,qrcode }
class Scanner {
  Future<String> run(ScanType scanType) async {
    if(scanType==ScanType.barcode){
      return await scanBarcodeNormal();
    }else{
      return await scanQR();
    }
  }

  Future<String> scanQR() async {
    try {
      return await FlutterBarcodeScanner.scanBarcode(
          '#ff6666', 'Cancel', true, ScanMode.QR);
    } on PlatformException {
      return '';
    }
  }

  Future<String> scanBarcodeNormal() async {
    try {
      return await FlutterBarcodeScanner.scanBarcode(
          '#ff6666', 'Cancel', true, ScanMode.BARCODE);
    } on PlatformException {
      return '';
    }
  }
}

